Events
List events
Returns a paginated list of events representing state changes to resources in your Dwolla application. Events track actions on customers, transfers, funding sources, and other resources, sorted by creation date (newest first). Events are retained for 30 days and are essential for webhook notifications and system activity monitoring.
GET
/
events
cURL
GET https://api-sandbox.dwolla.com/events
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events"
},
"first": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=0"
},
"last": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=150"
},
"next": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=25"
}
},
"_embedded": {
"events": [
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/78e57644-56e4-4da2-b743-059479f2e80f"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/47CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "78e57644-56e4-4da2-b743-059479f2e80f",
"created": "2015-10-16T15:58:18.000Z",
"topic": "bank_transfer_created",
"resourceId": "47CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/f8e70f48-b7ff-47d0-9d3d-62a099363a76"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/48CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "f8e70f48-b7ff-47d0-9d3d-62a099363a76",
"created": "2015-10-16T15:58:15.000Z",
"topic": "transfer_created",
"resourceId": "48CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/9f0167e0-dce6-4a1a-ad26-30015d6f1cc1"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/08A166BC-1B74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "9f0167e0-dce6-4a1a-ad26-30015d6f1cc1",
"created": "2015-10-16T15:37:03.000Z",
"topic": "bank_transfer_created",
"resourceId": "08A166BC-1B74-E511-80DB-0AA34A9B2388"
}
]
},
"total": 3
}{
"_links": {},
"additionalProperties": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
},
"_embedded": {
"events": [
{
"_links": {},
"id": "81f6e13c-557c-4449-9331-da5c65e61095",
"created": "2015-10-16T15:37:02.000Z",
"topic": "customer_transfer_created",
"resourceId": "09A166BC-1B74-E511-80DB-0AA34A9B2388"
}
]
},
"total": 3
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/events
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events"
},
"first": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=0"
},
"last": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=150"
},
"next": {
"href": "https://api-sandbox.dwolla.com/events?limit=25&offset=25"
}
},
"_embedded": {
"events": [
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/78e57644-56e4-4da2-b743-059479f2e80f"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/47CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "78e57644-56e4-4da2-b743-059479f2e80f",
"created": "2015-10-16T15:58:18.000Z",
"topic": "bank_transfer_created",
"resourceId": "47CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/f8e70f48-b7ff-47d0-9d3d-62a099363a76"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/48CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "f8e70f48-b7ff-47d0-9d3d-62a099363a76",
"created": "2015-10-16T15:58:15.000Z",
"topic": "transfer_created",
"resourceId": "48CFDDB4-1E74-E511-80DB-0AA34A9B2388"
},
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/events/9f0167e0-dce6-4a1a-ad26-30015d6f1cc1"
},
"resource": {
"href": "https://api-sandbox.dwolla.com/transfers/08A166BC-1B74-E511-80DB-0AA34A9B2388"
},
"account": {
"href": "https://api-sandbox.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581b"
}
},
"id": "9f0167e0-dce6-4a1a-ad26-30015d6f1cc1",
"created": "2015-10-16T15:37:03.000Z",
"topic": "bank_transfer_created",
"resourceId": "08A166BC-1B74-E511-80DB-0AA34A9B2388"
}
]
},
"total": 3
}{
"_links": {},
"additionalProperties": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
},
"_embedded": {
"events": [
{
"_links": {},
"id": "81f6e13c-557c-4449-9331-da5c65e61095",
"created": "2015-10-16T15:37:02.000Z",
"topic": "customer_transfer_created",
"resourceId": "09A166BC-1B74-E511-80DB-0AA34A9B2388"
}
]
},
"total": 3
}